Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77124

Summary: Executing up2date via ssh produces AttributeError: initUp2dateConfig
Product: [Retired] Red Hat Linux Reporter: Greg Morgan <drkludge>
Component: up2dateAssignee: Adrian Likins <alikins>
Status: CLOSED RAWHIDE QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.3CC: gafton, mihai.ibanescu
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-14 13:46:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Greg Morgan 2002-11-01 14:42:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I was updating my samba server with errata from about 10/7/2002 to 10/24/2002. 
This is a headless server.  I sshed into the server from another 7.3 PC in an
xterm window as I have always done with updates. I then issued the up2date
command.  All was going well until the last update, ypserv, RHSA-2002:223.  The
update bar was at 100%, when the gui up2date command was hung.  I went back to
the command window and found the traceback listed below.  I had no choice but to
hit the cancel button, which still functioned.  up2date when executed again says
that the system has been updated.  An entry for kernel (2.4.18-17.7.x) was
placed in /etc/grub.conf, etc.

Are there some additional steps that I can perform to check what caused the failure?


[root@baloo root]# up2date
warning: /etc/sysconfig/rhn/rhn_register created as
/etc/sysconfig/rhn/rhn_register.rpmnew
warning: /etc/sysconfig/rhn/up2date created as
/etc/sysconfig/rhn/up2date.rpmnewTraceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 872, in doInstallation
    hdr[rpm.RPMTAG_RELEASE])
  File "/usr/share/rhn/up2date_client/up2date.py", line 2400, in installBootLoader
  File "/usr/share/rhn/up2date_client/up2date.py", line 2419, in __install_grub
  File "/usr/share/rhn/up2date_client/grubcfg.py", line 16, in ?
    import rpmUtils 
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 22, in ?
    import up2dateErrors
  File "/usr/share/rhn/up2date_client/up2dateErrors.py", line 11, in ?
    import up2dateLog
  File "/usr/share/rhn/up2date_client/up2dateLog.py", line 8, in ?
    cfg = config.initUp2dateConfig()
AttributeError: initUp2dateConfig


Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1.Detailed description was provided in the Description text
2.
3.
	

Actual Results:  Traceback

Expected Results:  Clean update

Additional info:

I have a rpm script that I run on my other computers.  I will more than likely
run it on the samba server to make sure all is well.

Comment 1 Adrian Likins 2002-11-01 21:25:21 UTC
This will be fixed in the next release.
 
It's a "up2date updating up2date in place" bug, which
makes it hard to duplicate.

Comment 2 Jay Turner 2003-02-14 13:46:41 UTC
I'm seeing no problems upgrading from up2date-3.0.42-3 to up2date-3.1.1-1.